﻿using System;
using System.Diagnostics;

namespace Logging
{
  class Program
  {
    static void Main(string[] args)
    {
      Console.WriteLine("Beispiel 6");

      TraceSwitch traceSwitch = new TraceSwitch("MeinSchalter", "Ablaufprotokollierung mit Schalter");

      Trace.WriteLine("Beispiel 6 gestartet: " + DateTime.Now.ToString());

      Trace.WriteLineIf(traceSwitch.TraceError, "Logging: Eintrag mit TraceLevel Error");
      Trace.WriteLineIf(traceSwitch.TraceWarning, "Logging: Eintrag mit TraceLevel Warning");
      Trace.WriteLineIf(traceSwitch.TraceInfo, "Logging: Eintrag mit TraceLevel Info");
      Trace.WriteLineIf(traceSwitch.TraceVerbose, "Logging: Eintrag mit TraceLevel Verbose");

      Console.ReadLine();
    }
  }
}
