﻿using System;
using System.Diagnostics;

namespace Logging
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Beispiel 7");

            Trace.WriteLine("Beispiel 7 gestartet: " + DateTime.Now.ToString());
            Trace.IndentLevel = 0;
            Trace.IndentSize = 4;

            traceIndentTest(0);

            Trace.WriteLine("Beispiel 7 beendet.");

            Console.ReadLine();
        }

        private static void traceIndentTest(int level)
        {
            if (level < 10)
            {
                Trace.WriteLine("Trace mit IndentLevel: " + Trace.IndentLevel.ToString());
                Trace.Indent();
                traceIndentTest(level + 1);
            }
            Trace.Unindent();
        }
    }
}
